For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordDashboard
DocumentationAPI ReferenceCookbook
DocumentationAPI ReferenceCookbook
  • API Reference
    • POSTStart instance
    • GETGet instance by ID
    • GETList all instances
    • GETList all browser authentication states
      • GETList available notebook kernels
      • POSTCreate new notebook
      • GETGet notebook by ID
      • POSTDelete notebook
      • POSTAdd cell to notebook
      • POSTExecute notebook cell
      • POSTExecute all cells in notebook
  • SDK Reference
    • Python SDK
    • TypeScript SDK
Logo
DiscordDashboard
API ReferenceNotebook

List available notebook kernels

GET
https://api.scrapybara.com/v1/instance/:instance_id/notebook/kernels
GET
/v1/instance/:instance_id/notebook/kernels
1import requests
2
3url = "https://api.scrapybara.com/v1/instance/instance_id/notebook/kernels"
4
5headers = {"x-api-key": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
1[
2 {
3 "name": "name",
4 "display_name": "display_name",
5 "language": "language"
6 }
7]
Was this page helpful?
Previous

Create new notebook

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

instance_idstringRequired

Response

Successful Response
namestring
display_namestring
languagestring

Errors

422
Notebook List Kernels Request Unprocessable Entity Error